> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Custom Dimension Group

> Mixin to provide consistent last_modified_at filtering and sorting functionality
for List APIs with comprehensive timestamp computation.



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json post /coa/api/tag-group
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/tag-group:
    post:
      tags:
        - Company Objects
      summary: Create Custom Dimension Group
      description: >-
        Mixin to provide consistent last_modified_at filtering and sorting
        functionality

        for List APIs with comprehensive timestamp computation.
      operationId: coa_api_tag_group_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransactionTagGroup'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/TransactionTagGroup'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/TransactionTagGroup'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionTagGroup'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    TransactionTagGroup:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        slug:
          type: string
          readOnly: true
        name:
          type: string
          nullable: true
          maxLength: 250
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        customer:
          type: integer
          readOnly: true
      required:
        - created_at
        - customer
        - id
        - last_modified_at
        - name
        - slug
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````